Ubuntu 10.04 - VFAT usb drives mount with root access only

Bug #573981 reported by Wayne Schneidman on 2010-05-02
64
This bug affects 11 people
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned

Bug Description

On a fresh install of Ubuntu 10.04 Desktop 32 bit, not an upgrade, all USB VFAT drives I've tried mount with root access only which means I can not create or edit files or folders on these drives. The workaround I found was to use the Disk Utility to unmount and then mount the drives. This changed permissions on the drives to my login. However every time the system is rebooted the USB VFAT drives mount with root permissions only and the same procedure with Disk Utility has to be repeated for all the VFAT usb drives, same as before. The problem does not occur on the same drives, on the same system with ubuntu 9.10 Desktop 32 bit. The drives mount with permissions for me every time with Ubuntu 9.10 Desktop 32 bit.

Examining fstab I noticed there is a line in it in Ubuntu 9.10 that is not present in Ubuntu 10.04 with respect to mounting usb drives. That line is:

none /proc/bus/usb usbfs auto,devmode=0666 0 0

Placed that line in fstab in the 10.04 load and found the system would not boot without bypassing that line. The choice was to skip processing that line or manually attempt to force it.

Anyone installing a VFAT usb drive who encounters this symtom will not be able to copy files to the drive, nor edit existing files or folders at all without using the Disk Utility workaround I discovered.

Have no idea what packages are involved in this. It's a problem mounting VFAT usb drives for sure. Haven't tried NTFS or EXT type usb file systems.

Simply pulling out the drive connector and re-installing it does not fix the problem. Drive Utility must be used.

peter watson (thumbtac) wrote :

As a work around, I removed USBMOUNT using Synaptic. Solved problem after a reboot but I do not know why.

Peter,

I really appreciate your workaround. It worked just fine and essentially
fixes the problem which would also be affecting many of my friends once they
install 10.04. Thanks again for your response.

All the best,

Wayne Schneidman

On Sun, May 2, 2010 at 11:54 PM, peter watson <email address hidden>wrote:

> As a work around, I removed USBMOUNT using Synaptic. Solved problem
> after a reboot but I do not know why.
>
> --
> Ubuntu 10.04 - VFAT usb drives mount with root access only
> https://bugs.launchpad.net/bugs/573981
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: New
>
> Bug description:
> On a fresh install of Ubuntu 10.04 Desktop 32 bit, not an upgrade, all USB
> VFAT drives I've tried mount with root access only which means I can not
> create or edit files or folders on these drives. The workaround I found was
> to use the Disk Utility to unmount and then mount the drives. This changed
> permissions on the drives to my login. However every time the system is
> rebooted the USB VFAT drives mount with root permissions only and the same
> procedure with Disk Utility has to be repeated for all the VFAT usb drives,
> same as before. The problem does not occur on the same drives, on the same
> system with ubuntu 9.10 Desktop 32 bit. The drives mount with permissions
> for me every time with Ubuntu 9.10 Desktop 32 bit.
>
> Examining fstab I noticed there is a line in it in Ubuntu 9.10 that is not
> present in Ubuntu 10.04 with respect to mounting usb drives. That line is:
>
> none /proc/bus/usb usbfs auto,devmode=0666 0 0
>
> Placed that line in fstab in the 10.04 load and found the system would not
> boot without bypassing that line. The choice was to skip processing that
> line or manually attempt to force it.
>
> Anyone installing a VFAT usb drive who encounters this symtom will not be
> able to copy files to the drive, nor edit existing files or folders at all
> without using the Disk Utility workaround I discovered.
>
> Have no idea what packages are involved in this. It's a problem mounting
> VFAT usb drives for sure. Haven't tried NTFS or EXT type usb file systems.
>
> Simply pulling out the drive connector and re-installing it does not fix
> the problem. Drive Utility must be used.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+bug/573981/+subscribe
>

Again, thanks Peter Watson for your response on this. Very helpful! - Wayne Schneidman

Experienced same issue trying to connect Motorola Droid. Removing usbmount seems to fix the issue.

Interesting, thanks. Looks like that's the issue.

On Thu, May 20, 2010 at 7:55 PM, djgrandmarquis
<email address hidden>wrote:

> Experienced same issue trying to connect Motorola Droid. Removing
> usbmount seems to fix the issue.
>
> --
> Ubuntu 10.04 - VFAT usb drives mount with root access only
> https://bugs.launchpad.net/bugs/573981
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: New
>
> Bug description:
> On a fresh install of Ubuntu 10.04 Desktop 32 bit, not an upgrade, all USB
> VFAT drives I've tried mount with root access only which means I can not
> create or edit files or folders on these drives. The workaround I found was
> to use the Disk Utility to unmount and then mount the drives. This changed
> permissions on the drives to my login. However every time the system is
> rebooted the USB VFAT drives mount with root permissions only and the same
> procedure with Disk Utility has to be repeated for all the VFAT usb drives,
> same as before. The problem does not occur on the same drives, on the same
> system with ubuntu 9.10 Desktop 32 bit. The drives mount with permissions
> for me every time with Ubuntu 9.10 Desktop 32 bit.
>
> Examining fstab I noticed there is a line in it in Ubuntu 9.10 that is not
> present in Ubuntu 10.04 with respect to mounting usb drives. That line is:
>
> none /proc/bus/usb usbfs auto,devmode=0666 0 0
>
> Placed that line in fstab in the 10.04 load and found the system would not
> boot without bypassing that line. The choice was to skip processing that
> line or manually attempt to force it.
>
> Anyone installing a VFAT usb drive who encounters this symtom will not be
> able to copy files to the drive, nor edit existing files or folders at all
> without using the Disk Utility workaround I discovered.
>
> Have no idea what packages are involved in this. It's a problem mounting
> VFAT usb drives for sure. Haven't tried NTFS or EXT type usb file systems.
>
> Simply pulling out the drive connector and re-installing it does not fix
> the problem. Drive Utility must be used.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+bug/573981/+subscribe
>

Thomas Ford (thomas123) wrote :

Had the same problem with a fresh install of 10.04. Removing USBMOUNT did not resolve for me. Disk Utility allowed mounting but only for read only.. This problem even affected the optical drives. Have reinstalled 9.10 for now pending a resolution.

The problem did not recur on a fresh install I just did with dual boot
Windows XP and USBMOUNT did not come up installed. I do not know why
USBMOUNT did not come up on this fresh install and why it has come up on
others. I have also noticed it does has not come up on the 9.10 installs I
have looked at.

On Sat, May 22, 2010 at 12:08 PM, Thomas Ford <email address hidden>wrote:

> Had the same problem with a fresh install of 10.04. Removing USBMOUNT
> did not resolve for me. Disk Utility allowed mounting but only for read
> only.. This problem even affected the optical drives. Have reinstalled
> 9.10 for now pending a resolution.
>
> --
> Ubuntu 10.04 - VFAT usb drives mount with root access only
> https://bugs.launchpad.net/bugs/573981
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: New
>
> Bug description:
> On a fresh install of Ubuntu 10.04 Desktop 32 bit, not an upgrade, all USB
> VFAT drives I've tried mount with root access only which means I can not
> create or edit files or folders on these drives. The workaround I found was
> to use the Disk Utility to unmount and then mount the drives. This changed
> permissions on the drives to my login. However every time the system is
> rebooted the USB VFAT drives mount with root permissions only and the same
> procedure with Disk Utility has to be repeated for all the VFAT usb drives,
> same as before. The problem does not occur on the same drives, on the same
> system with ubuntu 9.10 Desktop 32 bit. The drives mount with permissions
> for me every time with Ubuntu 9.10 Desktop 32 bit.
>
> Examining fstab I noticed there is a line in it in Ubuntu 9.10 that is not
> present in Ubuntu 10.04 with respect to mounting usb drives. That line is:
>
> none /proc/bus/usb usbfs auto,devmode=0666 0 0
>
> Placed that line in fstab in the 10.04 load and found the system would not
> boot without bypassing that line. The choice was to skip processing that
> line or manually attempt to force it.
>
> Anyone installing a VFAT usb drive who encounters this symtom will not be
> able to copy files to the drive, nor edit existing files or folders at all
> without using the Disk Utility workaround I discovered.
>
> Have no idea what packages are involved in this. It's a problem mounting
> VFAT usb drives for sure. Haven't tried NTFS or EXT type usb file systems.
>
> Simply pulling out the drive connector and re-installing it does not fix
> the problem. Drive Utility must be used.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+bug/573981/+subscribe
>

Thomas, you might try upgrading that 9.10 install to 10.04. I just did a
9.10 upgrade to 10.04 (over the internet) and the problem did not recur.

On Sat, May 22, 2010 at 12:08 PM, Thomas Ford <email address hidden>wrote:

> Had the same problem with a fresh install of 10.04. Removing USBMOUNT
> did not resolve for me. Disk Utility allowed mounting but only for read
> only.. This problem even affected the optical drives. Have reinstalled
> 9.10 for now pending a resolution.
>
> --
> Ubuntu 10.04 - VFAT usb drives mount with root access only
> https://bugs.launchpad.net/bugs/573981
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: New
>
> Bug description:
> On a fresh install of Ubuntu 10.04 Desktop 32 bit, not an upgrade, all USB
> VFAT drives I've tried mount with root access only which means I can not
> create or edit files or folders on these drives. The workaround I found was
> to use the Disk Utility to unmount and then mount the drives. This changed
> permissions on the drives to my login. However every time the system is
> rebooted the USB VFAT drives mount with root permissions only and the same
> procedure with Disk Utility has to be repeated for all the VFAT usb drives,
> same as before. The problem does not occur on the same drives, on the same
> system with ubuntu 9.10 Desktop 32 bit. The drives mount with permissions
> for me every time with Ubuntu 9.10 Desktop 32 bit.
>
> Examining fstab I noticed there is a line in it in Ubuntu 9.10 that is not
> present in Ubuntu 10.04 with respect to mounting usb drives. That line is:
>
> none /proc/bus/usb usbfs auto,devmode=0666 0 0
>
> Placed that line in fstab in the 10.04 load and found the system would not
> boot without bypassing that line. The choice was to skip processing that
> line or manually attempt to force it.
>
> Anyone installing a VFAT usb drive who encounters this symtom will not be
> able to copy files to the drive, nor edit existing files or folders at all
> without using the Disk Utility workaround I discovered.
>
> Have no idea what packages are involved in this. It's a problem mounting
> VFAT usb drives for sure. Haven't tried NTFS or EXT type usb file systems.
>
> Simply pulling out the drive connector and re-installing it does not fix
> the problem. Drive Utility must be used.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+bug/573981/+subscribe
>

Thomas Ford (thomas123) wrote :

Thanks. Will consider the upgrade option based on your results. Wish me luck.

Paul Tiemeijer (paultiemeijer) wrote :

I have tried NTFS type usb file systems and the same problem occur in this case with 9.04 Desktop 32 bit. On 10.04 Desktop 32 bit I'm the owner of all the datafiles while in 9.04 root is the owner.
To remove USBMOUNT using Synaptic don't solve the problem overhere.

Oddly enough, I cannot repeat this bug. Just did a fresh install of 10.04 on a new SATA disk, and the Droid mounts just fine out of the box (my previous install was on a PATA disk, same machine). Also works fine after upgrading packages via Update Manager.

In a related comment... usb devices do not always auto-mount. Sometimes I need to open Computer and mount them manually. But they always mount with correct permissions now. (I'm referring to vfat and my ext3 external hdd.)

Sergey SNG (sergeeng) wrote :

One of my usb-disks shows this problem - read-only after mouting. Others works fine.

Messages in /var/log/syslog told about FS errors on this drive:

Jul 19 19:10:34 sgx kernel: [265194.548110] usb 2-3: new high speed USB device using ehci_hcd and address 25
Jul 19 19:10:34 sgx kernel: [265194.682177] usb 2-3: configuration #1 chosen from 1 choice
Jul 19 19:10:34 sgx kernel: [265194.683266] scsi26 : SCSI emulation for USB Mass Storage devices
Jul 19 19:10:34 sgx kernel: [265194.683490] usb-storage: device found at 25
Jul 19 19:10:34 sgx kernel: [265194.683496] usb-storage: waiting for device to settle before scanning
Jul 19 19:10:39 sgx kernel: [265199.680456] usb-storage: device scan complete
Jul 19 19:10:39 sgx kernel: [265199.681273] scsi 26:0:0:0: Direct-Access A-DATA USB Flash Drive 0.00 PQ: 0 ANSI: 2
Jul 19 19:10:39 sgx kernel: [265199.682661] sd 26:0:0:0: Attached scsi generic sg2 type 0
Jul 19 19:10:39 sgx kernel: [265199.684457] sd 26:0:0:0: [sdb] 15794176 512-byte logical blocks: (8.08 GB/7.53 GiB)
Jul 19 19:10:39 sgx kernel: [265199.689603] sd 26:0:0:0: [sdb] Write Protect is off
Jul 19 19:10:39 sgx kernel: [265199.689608] sd 26:0:0:0: [sdb] Mode Sense: 00 00 00 00
Jul 19 19:10:39 sgx kernel: [265199.689611] sd 26:0:0:0: [sdb] Assuming drive cache: write through
Jul 19 19:10:39 sgx kernel: [265199.692426] sd 26:0:0:0: [sdb] Assuming drive cache: write through
Jul 19 19:10:39 sgx kernel: [265199.692433] sdb: sdb1
Jul 19 19:10:39 sgx kernel: [265199.965582] sd 26:0:0:0: [sdb] Assuming drive cache: write through
Jul 19 19:10:39 sgx kernel: [265199.965593] sd 26:0:0:0: [sdb] Attached SCSI removable disk
Jul 19 19:10:40 sgx kernel: [265200.655407] FAT: Filesystem error (dev sdb1)
Jul 19 19:10:40 sgx kernel: [265200.655411] fat_get_cluster: invalid cluster chain (i_pos 0)
Jul 19 19:10:40 sgx kernel: [265200.655416] File system has been set read-only
                                                                                              ^^^^^^^^^^^^^^^^^^^^^^^^^
Normal mount was restored after format bad drive.

Changed in ubuntu:
status: New → Confirmed
igor (icicimov-gmail) wrote :

Hi all,

I have the same problem with mounting vfat partitions after upgrading to 10.04. What I've notice the first mount of the vfat is rw and I can write to the partition from the console. BUT...the moment I open Nautilus for some mysterious reason mount point becomes read only and I can see the lock sign on all of the directories inside. The same thing happens even when I mount the vfat manually with very specific read and write permissions for my user id of 1000 and have 777 permissions to the whole mount point

# chmod -R 777 /media/usb1
# ls -l /media | grep usb1
drwxrwxrwx 32 myuser myuser 16384 2010-09-23 23:08 usb1

and the mount

/dev/sdb3 on /media/usb1 type vfat (rw,noexec,nosuid,nodev,umask=0000,uid=1000,gid=1000)

so it looks to me it's some kind of Nautilus bug maybe???

Ah, and the workaround that Peter mentioned doesn't work for me. The same thing happens whit or without usbmount installed.

Cheers,
Igor

jjinco33 (jedadiah-williams) wrote :

Same issue is happening with me, but only for one device so far. Was working fine under 9.10, but since fresh install of 10.04 the device will only mount read only.

Again the workaround from Peter Watson has worked for me:

"As a work around, I removed USBMOUNT using Synaptic. Solved problem
after a reboot but I do not know why."

On Wed, Oct 13, 2010 at 8:13 AM, jjinco33 <email address hidden> wrote:

> Same issue is happening with me, but only for one device so far. Was
> working fine under 9.10, but since fresh install of 10.04 the device
> will only mount read only.
>
> --
> Ubuntu 10.04 - VFAT usb drives mount with root access only
> https://bugs.launchpad.net/bugs/573981
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: Confirmed
>
> Bug description:
> On a fresh install of Ubuntu 10.04 Desktop 32 bit, not an upgrade, all USB
> VFAT drives I've tried mount with root access only which means I can not
> create or edit files or folders on these drives. The workaround I found was
> to use the Disk Utility to unmount and then mount the drives. This changed
> permissions on the drives to my login. However every time the system is
> rebooted the USB VFAT drives mount with root permissions only and the same
> procedure with Disk Utility has to be repeated for all the VFAT usb drives,
> same as before. The problem does not occur on the same drives, on the same
> system with ubuntu 9.10 Desktop 32 bit. The drives mount with permissions
> for me every time with Ubuntu 9.10 Desktop 32 bit.
>
> Examining fstab I noticed there is a line in it in Ubuntu 9.10 that is not
> present in Ubuntu 10.04 with respect to mounting usb drives. That line is:
>
> none /proc/bus/usb usbfs auto,devmode=0666 0 0
>
> Placed that line in fstab in the 10.04 load and found the system would not
> boot without bypassing that line. The choice was to skip processing that
> line or manually attempt to force it.
>
> Anyone installing a VFAT usb drive who encounters this symtom will not be
> able to copy files to the drive, nor edit existing files or folders at all
> without using the Disk Utility workaround I discovered.
>
> Have no idea what packages are involved in this. It's a problem mounting
> VFAT usb drives for sure. Haven't tried NTFS or EXT type usb file systems.
>
> Simply pulling out the drive connector and re-installing it does not fix
> the problem. Drive Utility must be used.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+bug/573981/+subscribe
>

jjinco33 (jedadiah-williams) wrote :

I did not have USBMOUNT installed, however I tried installing it, same issue, uninstalled same issue. Tried to chmod the device as suggested and received "Read-only file system" for every file on it. However, permissions on all files state Read and Write access. fsck -a returned :
fsck from util-linux-ng 2.17.2
dosfsck 3.0.7, 24 Dec 2009, FAT32, LFN
FATs differ but appear to be intact. Using first FAT.
/MUSIC/Duffy
  Contains a free cluster (197946). Assuming EOF.
/##MUSIC#/Pictures/Forms/Red Logo.JPG
  Bad file name.
  Auto-renaming it.
  Renamed to FSCK0000.000
Unable to create unique name

I can confirm it was working on another install of 10.04 until it was attached to this one. It seems it may be corrupted, I just attached to old machine and is mounted read only there as well now.

igor (icicimov-gmail) wrote :

Any news on this bug? Any fix coming soon?

[582809.422695] FAT: Filesystem error (dev sdb3)
[582809.422704] invalid access to FAT (entry 0xe32519bc)
[582809.422710] File system has been set read-only

Another fat drive that was working fine previously.

Haven't seen too many new reports of the symptom. Perhaps this was fixed in
later upgrades. The workaround; removing usbmount using Synaptic, seems to
work when it does occur.

On Thu, Jan 27, 2011 at 7:19 AM, igor <email address hidden> wrote:

> Any news on this bug? Any fix coming soon?
>
> [582809.422695] FAT: Filesystem error (dev sdb3)
> [582809.422704] invalid access to FAT (entry 0xe32519bc)
> [582809.422710] File system has been set read-only
>
> Another fat drive that was working fine previously.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/573981
>
> Title:
> Ubuntu 10.04 - VFAT usb drives mount with root access only
>
> Status in Ubuntu:
> Confirmed
>
> Bug description:
> On a fresh install of Ubuntu 10.04 Desktop 32 bit, not an upgrade, all
> USB VFAT drives I've tried mount with root access only which means I
> can not create or edit files or folders on these drives. The
> workaround I found was to use the Disk Utility to unmount and then
> mount the drives. This changed permissions on the drives to my login.
> However every time the system is rebooted the USB VFAT drives mount
> with root permissions only and the same procedure with Disk Utility
> has to be repeated for all the VFAT usb drives, same as before. The
> problem does not occur on the same drives, on the same system with
> ubuntu 9.10 Desktop 32 bit. The drives mount with permissions for me
> every time with Ubuntu 9.10 Desktop 32 bit.
>
> Examining fstab I noticed there is a line in it in Ubuntu 9.10 that is
> not present in Ubuntu 10.04 with respect to mounting usb drives. That
> line is:
>
> none /proc/bus/usb usbfs auto,devmode=0666 0 0
>
> Placed that line in fstab in the 10.04 load and found the system would
> not boot without bypassing that line. The choice was to skip
> processing that line or manually attempt to force it.
>
> Anyone installing a VFAT usb drive who encounters this symtom will not
> be able to copy files to the drive, nor edit existing files or folders
> at all without using the Disk Utility workaround I discovered.
>
> Have no idea what packages are involved in this. It's a problem
> mounting VFAT usb drives for sure. Haven't tried NTFS or EXT type usb
> file systems.
>
> Simply pulling out the drive connector and re-installing it does not
> fix the problem. Drive Utility must be used.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+bug/573981/+subscribe
>

Jani Uusitalo (uusijani) wrote :

In a case such as Sergey's, where the problem is caused by a faulty vfat rather than some weirdness on Ubuntu's side, formatting the disk may be avoided by using fsck:

$ sudo fsck.vfat -r /dev/sdg1 # replace sdg1 with your usb drive partition device file

STB Land (stbland) wrote :

After these two commands below, my USB drive was still mounted read-only :-(

> sudo apt-get remove usbmount
> sudo reboot

After these two commands below, my USB drive was mounted read-write finally :-)

> sudo apt-get install autofs5
> sudo reboot

tags: added: usb
tags: added: mount
Marius B. Kotsbak (mariusko) wrote :

I think there are three causes here:

1. usbmount is left behind from earlier Ubuntu versions or manually installed.
    Solution: remove the usbmount package. This is probably a Won't fix bug. If the usbmount package was automatically installed in earlier Ubuntu versions, it should have been removed in the upgrades.

2. A file system error causes the drive to be mounted read only
    Solution: run fsck on the drive

3. Something gives wrong permission/user on the mount point.
    Workaround: "chown _your_username_ /media/_mount_point". Actually, this seemed to be persistent for the device the next time it is connected.

tags: added: precise
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers